Name:           kaudiocreator
Version:        1.3
Release:        4%{?dist}
Summary:        Program for ripping and encoding Audio-CDs

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://kde-apps.org/content/show.php?content=107645
Source0:        http://kde-apps.org/CONTENT/content-files/107645-%{name}-%{version}.tar.bz2

Patch:          kaudiocreator-1.3-deskfile.patch

BuildRequires:  cmake
BuildRequires:  kdemultimedia-devel
BuildRequires:  libdiscid-devel
BuildRequires:  taglib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

# rhbz #901966
Requires:  audiocd-kio

%description
KAudioCreator is a program for ripping and
encoding Audio-CDs, encoding files from disk.

%prep
%setup -q
# fix permisions
%patch -p0


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kaudiocreator.desktop

%find_lang %{name}

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
    gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC Changelog
%{_kde4_bindir}/kaudiocreator
%{_kde4_datadir}/applications/kde4/kaudiocreator.desktop
%{_kde4_datadir}/config.kcfg/kaudiocreator.kcfg
%{_kde4_datadir}/config.kcfg/kaudiocreator_encoders.kcfg
%{_kde4_datadir}/kde4/services/ServiceMenus/audiocd_extract.desktop
%{_kde4_appsdir}/kaudiocreator
%{_kde4_appsdir}/kconf_update/kaudiocreator*.upd
%{_kde4_appsdir}/kconf_update/upgrade-kaudiocreator-metadata.sh
%{_kde4_iconsdir}/hicolor/*/apps/kaudiocreator.png


%changelog
* Thu Jan 29 2013 Dmitrij S. Kryzhevich <krege@land.ru> 1.3-4
- Fix audiocd-kio dependency issue.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 05 2011 Dmitrij S. Kryzhevich <krege@land.ru> 1.3-1
- Update to 1.3 release.
- Drop -lib patch.
- Add patch to fix permisions for .desktop file.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.90-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 03 2010 Dmitrij S. Kryzhevich <krege@land.ru> 1.2.90-2
- Spec cleanup.
- Remove gtk2 from BR.

* Wed Nov 03 2010 Dmitrij S. Kryzhevich <krege@land.ru> 1.2.90-1
- Initial build.